package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability585/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSkuChannelskuAddRequest struct {
	/*
	   入参模型     */
	ChSkuDOList *[]domain.AlibabaWdkSkuChannelskuAddChannelSkuDo `json:"ch_sku_d_o_list" required:"true" `
}

func (s *AlibabaWdkSkuChannelskuAddRequest) SetChSkuDOList(v []domain.AlibabaWdkSkuChannelskuAddChannelSkuDo) *AlibabaWdkSkuChannelskuAddRequest {
	s.ChSkuDOList = &v
	return s
}

func (req *AlibabaWdkSkuChannelskuAddRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ChSkuDOList != nil {
		paramMap["ch_sku_d_o_list"] = util.ConvertStructList(*req.ChSkuDOList)
	}
	return paramMap
}

func (req *AlibabaWdkSkuChannelskuAddRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
